Subject: Re: [PATCH] netfilter: Record uid and gid in xt_AUDIT

From: Richard Weinberger <[email-masked]>
Date: Thu, 10 Oct 2024 22:09:48 +0200

Am Donnerstag, 10. Oktober 2024, 15:48:27 CEST schrieb Florian Westphal:
> Richard Weinberger <[email-masked]> wrote:
> > Am Mittwoch, 9. Oktober 2024, 23:33:45 CEST schrieb Florian Westphal:
> > > There is no need to follow ->file backpointer anymore, see
> > > 6acc5c2910689fc6ee181bf63085c5efff6a42bd and
> > > 86741ec25462e4c8cdce6df2f41ead05568c7d5e,
> > > "net: core: Add a UID field to struct sock.".
> > 
> > Oh, neat!

I gave sock_net_uid() a try, but I kinda fail.

Maybe I have wrong expectations.
e.g. I expected that sock_net_uid() will return 1000 when
uid 1000 does something like: unshare -Umr followed by a veth connection
to the host (initial user/net namespace).
Shouldn't on the host side a forwarded skb have a ->dev that belongs uid
1000's net namespace?

Thanks,
//richard

-- 
 sigma star gmbh | Eduard-Bodem-Gasse 6, 6020 Innsbruck, AUT
UID/VAT Nr: ATU 66964118 | FN: 374287y